Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1517718 - Incorrectly handles FAT16 partition
Summary: Incorrectly handles FAT16 partition
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kde-partitionmanager
Version: 27
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Mattia Verga
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-27 10:08 UTC by unclebob
Modified: 2017-12-19 19:45 UTC (History)
3 users (show)

Fixed In Version: kde-partitionmanager-3.2.1-3.fc27.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-19 19:45:10 UTC


Attachments (Terms of Use)
"none" mountpoint in fstab (deleted)
2017-12-01 12:57 UTC, Mattia Verga
no flags Details


Links
System ID Priority Status Summary Last Updated
KDE Software Compilation 387463 None None None 2017-11-30 09:57:27 UTC

Description unclebob 2017-11-27 10:08:15 UTC
Description of problem:

I am setting up a dual-boot system using Fedora 27 as an upgrade to a legacy Fedora20 system. The old system has an EFI boot partition which is formatted FAT16.

kde-partitionmanager adds this to fstab with the following line:

/dev/sda1       /old/efi        fat16   defaults        0       0

However mount does not recognise this as a valid filesystem. The workaround is to edit fstab and change fat16 to vfat.

Version-Release number of selected component (if applicable):
Version     : 3.1.2


How reproducible:
Every time

Steps to Reproduce:
1. Create a small partition
2. Format it FAT16
3. Add it to fstab with kde-partitionmanager
4. mount -a

Actual results:

mount: /old/efi: unknown filesystem type 'fat16'.

Expected results:

Partition should silently mount.

Additional info:

Comment 1 Mattia Verga 2017-11-30 09:57:27 UTC
Confirmed, I've reported the bug upstream.

Comment 2 Andrius Štikonas 2017-11-30 23:36:26 UTC
I've committed the fix upstream.

I will try to test it a bit later when I have more time. Feel free to test it though.

Comment 3 Mattia Verga 2017-12-01 12:57:29 UTC
Created attachment 1361572 [details]
"none" mountpoint in fstab

Andrius, there's another small problem here.
When I create for the first time the mountpoint of a new partition, the entry in fstab points to "none" even if I select the correct directory to point at. The mountpoint in the main view shows the right dir, but if I select to edit the mountpoint, the window shows me the "none" dir. (see screenshot)

Editing again a second time the mountpoint, correctly applies the right directory in fstab.

Comment 4 Andrius Štikonas 2017-12-03 00:22:11 UTC
Thanks again for reporting this.

partitionmanager master now correctly saves new fstab entries. The fix will be released with version 3.3 in a fortnight.

Comment 5 Fedora Update System 2017-12-03 17:10:46 UTC
calamares-3.1.8-2.fc27 kde-partitionmanager-3.2.1-3.fc27.1 kpmcore-3.2.1-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-c523b9a62d

Comment 6 Mattia Verga 2017-12-03 17:15:12 UTC
I've backported the two fixes to 3.2 and released it in F27-testing.

Comment 7 Fedora Update System 2017-12-08 23:26:20 UTC
calamares-3.1.8-2.fc27, kde-partitionmanager-3.2.1-3.fc27.1, kpmcore-3.2.1-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-c523b9a62d

Comment 8 Fedora Update System 2017-12-19 19:45:10 UTC
calamares-3.1.8-2.fc27, kde-partitionmanager-3.2.1-3.fc27.1, kpmcore-3.2.1-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.